jun

DSM 6.1.x Loader

Recommended Posts

19 hours ago, epicurean said:

@anthonyuk,

Thanks. Must I use the exact same sn and mac addresses?

If you've changed it yes. I change it to avoid problems with duplicate ser/MACs.

Share this post


Link to post
Share on other sites
On 2017-6-18 at 10:13 AM, Bob the Builder said:

 

you can use this vmdk, which point to the synoboot.img. Put both in the datastore folder of your VM.

 

I had a crashed/degraded RaiD after bootup on ESX6. One Disk was unlinked from Raidgroup and marked as unused. Had to do a repair over night.

I do not think it belongs to the loader.

Edited by sagrotan

Share this post


Link to post
Share on other sites

I'm trying to upgrade Bootloader to 1.02 and also upgrading to latest DSM OS.

 

But while upgrading, getting error 21 and is not going thru further.

 

Please help.....

Share this post


Link to post
Share on other sites

I tried to update to loader v. 1.02 and DSM.

 

It prompts for Migration but fails halfway and throws Error 21.

 

Please help...

Share this post


Link to post
Share on other sites

Is there still the "timebomb" problem with 1.02b DS3617xs? I had this problem with the previous 1.02a and 1.02a2.

Share this post


Link to post
Share on other sites
On 6/18/2017 at 11:13 AM, Bob the Builder said:

synoboot.vmdk

 

 

 

ex5.thumb.png.f89bf61ef15817dfc1bb8a50afb75c98.png

 

ex6.png.f98bd60704ea8519a88d96501dc3eb46.png

Thanks

How did you obtain that vmdk file ? I want to edit the grub.cfg and make a new one.

And what linux version I chose for os when creating a new vm ? No usb 3 for "other linux 64"

Share this post


Link to post
Share on other sites

I also used starwind converter after editing the grub file in the synoboot.img, to the vmdk file. It worked well this way

Sent from my SM-G925F using Tapatalk

  • Like 1

Share this post


Link to post
Share on other sites

Hello guys,

 

After upgrading to the latest loader (1.02b) all of a sudden when accessing the Package center the information on various packages is displayed in Hungarian.
Tried to change that in regional settings but with no luck. Tried the same in the personal language settings. Same result.
Anyone having the same problem or any ideea where this can be switched?
I am using the latest DSM 6.1.2-15132, on a barebone machine loaded with DS3617xs.
Everything else works fine. Except that I have no ideea on Hungarian language.

Edited by JulianR
Just to add that all the optieons were used.

Share this post


Link to post
Share on other sites
6 hours ago, koroziv said:

Thanks

How did you obtain that vmdk file ? I want to edit the grub.cfg and make a new one.

And what linux version I chose for os when creating a new vm ? No usb 3 for "other linux 64"

On Windows you can use the free OSFMount app to open the .img file and edit the .cfg.

 

http://www.osforensics.com/tools/mount-disk-images.html

 

I used an ovf file to create the machine which used Debian GNU/Linux 8 (64-bit) and works fine.

 

Edited by anthonyuk

Share this post


Link to post
Share on other sites
On 9/20/2016 at 2:57 PM, jun said:

Tutorial by Polanskiman : here

Loader Download : here or here

(link updated due to directory structure change of mega share) -- by jun 2-28

 

Original post by jun:

I've uploaded a 6.1 alpha build to mega, for brave guys only :smile:. (Note: AMD needs extra work.)

 

Tell us please, will we wait working DSM 6.1 loader for AMD?

Share this post


Link to post
Share on other sites

hello guys.

I see everywhere mentions about a so called "time bomb".

 

Can you quickly point me on how it does manifest?

Thanks.

Share this post


Link to post
Share on other sites
7 minutes ago, mitzone said:

hello guys.

I see everywhere mentions about a so called "time bomb".

 

Can you quickly point me on how it does manifest?

Thanks.

Glad you asked about it. Lets see what we get.

Share this post


Link to post
Share on other sites
9 minutes ago, mitzone said:

hello guys.

I see everywhere mentions about a so called "time bomb".

 

Can you quickly point me on how it does manifest?

Thanks.

 

Just don't use v1.02a for DS3617xs and DS916+. That's why Jun released v1.02a2 to deal with that issue.

It will manifest the most evidently by you not being able to access DSM's GUI after 12h/24h/48h following DSM's installation. See below for Jun's full description on the matter:

 

On 9/23/2016 at 6:51 AM, jun said:

Hi,

The are various check around DSM programs, especially in Web Interface, maybe some are still not found out.

 

One kind is to make sure you are running on real DSM hardwares, specifically, it checks that you have pci devices the model should have. This check is a bit forgiving, i.e., if you only have 9 out of the 10 devices, you may still pass the check. Some models have mcu to control powers, leds, fans, DSM also checks that it can communicate with the controller properly.

 

Another kind of check is to make sure your system does not have any clue that you pretend to be a DSM model, for example has some file named xpenoboot somewhere,or has pid, vid in kernel cmdline, these should not exists in a real DSM devices. Sometimes, it also checksum each other to make sure system executables are not patched.

 

If DSM determines that is is not run on intended hardware, it will try to unmount all your volumes, shutdown the system, sometimes also corrupt some DSM system files etc. No sign of intentionally breaking user data is observed though.

 

Clearly, your DSM software thinks that it is not running on a real DS712+ device, so it unmounts all your volumes.

And what I did is to make sure DSM gets what it wants, so it will run happlily and ignorantly.

Share this post


Link to post
Share on other sites

Updated my bare metal Lenovo ts140 to 1.02b without drama.

 

Thanks for continuing to provide this

Share this post


Link to post
Share on other sites

Thanks @Polanskiman for updating the OP regarding AMD compatability. I've been trying to get this working for a couple of days now on HP N54L using 1.02a thinking it should be compatible with AMD and have been thinking that it might be the NIC which is giving me issues.

Its gets the the booting the kernal bit but then never appears on the network.

Is it worth me getting PCI network card and testing it or is AMD 100% confirmed not working?

Also is there still a list of compatible hardware? it would be nice to have a list that states the hardware, the latest DSM it runs on and what bootloader is needed.

  • Like 1

Share this post


Link to post
Share on other sites
35 minutes ago, brendann said:

Thanks @Polanskiman for updating the OP regarding AMD compatability. I've been trying to get this working for a couple of days now on HP N54L using 1.02a thinking it should be compatible with AMD and have been thinking that it might be the NIC which is giving me issues.

Its gets the the booting the kernal bit but then never appears on the network.

Is it worth me getting PCI network card and testing it or is AMD 100% confirmed not working?

Also is there still a list of compatible hardware? it would be nice to have a list that states the hardware, the latest DSM it runs on and what bootloader is needed.

Looks like hpn54l IS stuck with loader 1.01 at this Time.

 

Working fine with dsm 6.0.2

Share this post


Link to post
Share on other sites

I've tested the DS916+ 1.02b bootloader and succeeded.

My hardware is:

Asrock J3160-itx, 4G DDR3 memory and 4 x 3T HDD with Raid5.

File system is btrfs.

 

Before 1.02b bootloader released, I had to use the DS3615xs 1.02a bootloader because the DS916+ bootloader didn't contain rtl8169 NIC kernel module.

Today I made a usb stick with the DS916+ 1.02b bootloader, and updated DSM from DS3615 6.1.1 to  DS916+ 6.1.2 with no errors and reserved all data and settings.

Thanks @jun and @Polanskiman.

 

The only thing I can't sure is that the Video Station's hardware accelerator is enabled or not.

Share this post


Link to post
Share on other sites
7 hours ago, JulianR said:

Hello guys,

 

After upgrading to the latest loader (1.02b) all of a sudden when accessing the Package center the information on various packages is displayed in Hungarian.
Tried to change that in regional settings but with no luck. Tried the same in the personal language settings. Same result.
Anyone having the same problem or any ideea where this can be switched?
I am using the latest DSM 6.1.2-15132, on a barebone machine loaded with DS3617xs.
Everything else works fine. Except that I have no ideea on Hungarian language.

 

Hi Julian,

 

it's not a Xpenology Fault - same behaviour here on a real 2415+ (except that my system language is german and the package information is norwegian). Mailed Synology Support today - here the answer (german):

Quote

Dieses Verhalten wird aktuell durch ein Serverproblem ausgelöst.
Dadurch werden derzeitig die falschen Beschreibungstexte abgerufen, in Ihrem Fall die norwegischen Beschreibungen.

Unsere Entwickler arbeiten bereits an einer Lösung zu diesem Verhalten.
Prüfen Sie bitte zwischendurch ob die Sprache im Paketzentrum korrekt angezeigt wird.

 

If you have further questions or do want a status update simply PM me.

Regards

Sid

Share this post


Link to post
Share on other sites
8 hours ago, waspsoton said:

any idea when v1.02b will support AMD?

Another vote for supporting AMD.

Thanks.

Share this post


Link to post
Share on other sites
1 hour ago, herrderflammen87 said:

 

Hi Julian,

 

it's not a Xpenology Fault - same behaviour here on a real 2415+ (except that my system language is german and the package information is norwegian). Mailed Synology Support today - here the answer (german):

 

If you have further questions or do want a status update simply PM me.

Regards

Sid

Hi Sid,

 

You are right. After a number of restarts of the DSM, finally I got back the English. The strange part was that English was displayed only when displaying descriptions of various packages: Hard to understand but now it works fine.

Thank you for your answer.

 

Kind regards,

Julian

Share this post


Link to post
Share on other sites

Running HP Microserver Gen8 with ESXi 6.5 and 1.02B loader and DSM 6.1.2-15132 , PCI Pass throught (LSI) with some problems with CMS (Central Management System) with I use to consolidate notifications and use mobile applications through a original synology i have.

 

on control panel > info center > general TAB is blank, and it seems to be a problem with CMS join because on HOST it connects, confirm, but didnt get any status and disconnect after a few moments (no disconnection in fact, just a update error with some weird message about HDD hibernation, with is not true). It works on olders versions of DSM / Jun's loader...

 

I would ask to Jun to put 5 seconds timeout on loader, because on ESXi 1 second is too short to get control on console and select the appropriate grub menu item. 

 

Share this post


Link to post
Share on other sites

Hi everyone,

 

Could you teel me if HP P410 Sas controller works with the jun's loader ?

if not someone have integrated the driver ?

 

Thanks

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now